Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Streams Advanced Queuing Java API Reference 10g Release 2 (10.2) B14291-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jms
Class AQjmsDestination

`java.lang.Object
oracle.jms.AQjmsDestination`

All Implemented Interfaces:
  Destination, Queue, javax.naming.Referenceable, java.io.Serializable, TemporaryQueue, TemporaryTopic, Topic

public class AQjmsDestination
extends java.lang.Object
implements Queue, Topic, javax.naming.Referenceable, java.io.Serializable, TemporaryQueue, TemporaryTopic

This is an Oracle class which implements `javax.jms.Queue`, `javax.jms.Topic`, `javax.naming.Referenceable` and `java.io.Serializable`.

See Also:
  Serialized Form

Method Summary
`void` | `alter(Session session, AQjmsDestinationProperty destinationProperty)` Alters the properties of the queue/topic.
`void` | `alterPropagationSchedule(Session session, java.lang.String destination, java.lang.Double duration, java.lang.String nextTime, java.lang.Double latency)` Alters the propagation schedule between the topic and the destination database.
`void` | `delete()` Delete this temporary destination and make it unusable for further operations.
`void` | `disablePropagationSchedule(Session session, java.lang.String destination)` Disables the propagation schedule.
`void` | `drop(Session session)` Drops the queue/topic.
`void` | `enablePropagationSchedule(Session session, java.lang.String destination)` Enables the propagation schedule.
`java.lang.String` | `getCompleteName()` Gets the complete name of the queue/topic in the form "[schema.]name".
`java.lang.String` | `getCompleteTableName()` Gets the complete name of the queue table of the queue/topic in the form "[schema.]name".
`java.lang.String` | `getQueueName()` Gets the name of the queue.
`java.lang.String` | `getQueueOwner()` Gets the owner of the queue.
`javax.naming.Reference` | `getReference()` Creates a destination reference.
`java.lang.String` | `getTopicName()` Gets the name of the topic.
`java.lang.String` | `getTopicOwner()` Gets the schema of the topic.
`void` | `grantQueuePrivilege(Session session, java.lang.String privilege, java.lang.String grantee, boolean grantOption)` Grants enqueue or dequeue privilege on the queue to a database user.
`void` | `grantTopicPrivilege(Session session, java.lang.String privilege, java.lang.String grantee, boolean grantOption)` Grants a topic privilege.
`void` | `revokeQueuePrivilege(Session session, java.lang.String privilege, java.lang.String grantee)` Revokes a queue privilege.
`void` | `revokeTopicPrivilege(Session session, java.lang.String privilege, java.lang.String grantee)` Revokes a topic privilege.
`void` | `schedulePropagation(Session session, java.lang.String destination, java.util.Date startTime, java.lang.Double duration, java.lang.String nextTime, java.lang.Double latency)` Schedules propagation from the topic for the given destination database.
`void` | `start(Session session, boolean enqueue, boolean dequeue)` Starts the queue/topic for enqueue or dequeue or both.
`void` | `start(Session session, boolean enqueue, boolean dequeue, boolean autonomous)` Starts the queue/topic for enqueue or dequeue or both.
`void` | `stop(Session session, boolean enqueue, boolean dequeue, boolean wait)` Stops the queue/topic for enqueue or dequeue or both.
`void` | `stop(Session session, boolean enqueue, boolean dequeue, boolean wait, boolean autonomous)` Stops the queue/topic for enqueue or dequeue or both.
`java.lang.String` | `toString()` Gets the queue/topic as a string, in the form "[schema.]name".
`void` | `unschedulePropagation(Session session, java.lang.String destination)` Unschedules propagation between the topic and the specified destination.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getQueueName

    public java.lang.String getQueueName()
                                  throws JMSException

  Gets the name of the queue.
  Specified by:
    `getQueueName` in interface `Queue`
  Returns:
    the name of the queue
  Throws:
    `JMSException` - if the queue is not a single consumer queue.

### getTopicName

    public java.lang.String getTopicName()
                                  throws JMSException

  Gets the name of the topic.
  Specified by:
    `getTopicName` in interface `Topic`
  Returns:
    the name of the topic
  Throws:
    `JMSException` - if the queue is not a multi consumer queue (topic).

### getQueueOwner

    public java.lang.String getQueueOwner()
                                   throws JMSException

  Gets the owner of the queue.
  Returns:
    the schema of the queue
  Throws:
    `JMSException` - if the schema could not be retrieved.

### getTopicOwner

    public java.lang.String getTopicOwner()
                                   throws JMSException

  Gets the schema of the topic.
  Returns:
    the schema of the topic
  Throws:
    `JMSException` - if the schema could not be retrieved.

### getReference

    public javax.naming.Reference getReference()

  Creates a destination reference.
  Specified by:
    `getReference` in interface `javax.naming.Referenceable`
  Returns:
    a destination reference with object and factory class names set

### getCompleteName

    public java.lang.String getCompleteName()

  Gets the complete name of the queue/topic in the form "[schema.]name".
  Returns:
    the complete name of the queue/topic

### getCompleteTableName

    public java.lang.String getCompleteTableName()

  Gets the complete name of the queue table of the queue/topic in the form "[schema.]name".
  Returns:
    the complete name of the queue/topic's queue table

### toString

    public java.lang.String toString()

  Gets the queue/topic as a string, in the form "[schema.]name".
  Specified by:
    `toString` in interface `Queue`
  Returns:
    the queue/topic as a string

### start

    public void start(Session session,
                      boolean enqueue,
                      boolean dequeue)
               throws JMSException

  Starts the queue/topic for enqueue or dequeue or both.

  The start operation is not performed as an autonomous transaction.

  Parameters:
    `session` - the jms session
    `enqueue` - whether enqueue should be enabled
    `dequeue` - whether dequeue should be enabled
  Throws:
    `JMSException` - if the queue/topic could not be started.

### start

    public void start(Session session,
                      boolean enqueue,
                      boolean dequeue,
                      boolean autonomous)
               throws JMSException

  Starts the queue/topic for enqueue or dequeue or both.
  Parameters:
    `session` - the jms session
    `enqueue` - whether enqueue should be enabled
    `dequeue` - whether dequeue should be enabled
    `autonomous` - whether the start operation should be performed as an autonomous transaction
  Throws:
    `JMSException` - if the queue/topic could not be started.

### stop

    public void stop(Session session,
                     boolean enqueue,
                     boolean dequeue,
                     boolean wait)
              throws JMSException

  Stops the queue/topic for enqueue or dequeue or both.

  The stop operation is not performed as an autonomous transaction.

  Parameters:
    `session` - the jms session
    `enqueue` - whether enqueue should be disabled
    `dequeue` - whether dequeue should be disabled
    `wait` - whether to wait for pending transactions on the queue/topic to complete
  Throws:
    `JMSException` - if the queue/topic could not be stopped.

### stop

    public void stop(Session session,
                     boolean enqueue,
                     boolean dequeue,
                     boolean wait,
                     boolean autonomous)
              throws JMSException

  Stops the queue/topic for enqueue or dequeue or both.
  Parameters:
    `session` - the jms session
    `enqueue` - whether enqueue should be disabled
    `dequeue` - whether dequeue should be disabled
    `wait` - whether to wait for pending transactions on the queue/topic to complete
    `autonomous` - whether the stop operation should be performed as an autonomous transaction
  Throws:
    `JMSException` - if the queue/topic could not be stopped.

### alter

    public void alter(Session session,
                      AQjmsDestinationProperty destinationProperty)
               throws JMSException

  Alters the properties of the queue/topic.
  Parameters:
    `session` - the jms session
    `destinationProperty` - the new properties of the queue/topic
  Throws:
    `JMSException` - if the properties could not be altered.

### drop

    public void drop(Session session)
              throws JMSException

  Drops the queue/topic.
  Parameters:
    `session` - the jms session
  Throws:
    `JMSException` - if the queue/topic could not be dropped.

### schedulePropagation

    public void schedulePropagation(Session session,
                                    java.lang.String destination,
                                    java.util.Date startTime,
                                    java.lang.Double duration,
                                    java.lang.String nextTime,
                                    java.lang.Double latency)
                             throws JMSException

  Schedules propagation from the topic for the given destination database.
  Parameters:
    `session` - the JMS session
    `destination` - the dblink of the remote database for which propagation is being scheduled. A `null` string means that propagation will be scheduled for all subscribers in the database of the topic
    `startTime` - the time propagation must be started
    `duration` - the duration of propagation
    `nextTime` - the next time propagation must be done
    `latency` - the latency in seconds that can be tolerated (Latency is the difference between the time a message was enqueued and the time it was propagated.)
  Throws:
    `JMSException` - if propagation could not be scheduled.

### unschedulePropagation

    public void unschedulePropagation(Session session,
                                      java.lang.String destination)
                               throws JMSException

  Unschedules propagation between the topic and the specified destination.
  Parameters:
    `session` - the jms session
    `destination` - the dblink of the destination database for which propagation must be unscheduled
  Throws:
    `JMSException` - if propagation could not be unscheduled.

### alterPropagationSchedule

    public void alterPropagationSchedule(Session session,
                                         java.lang.String destination,
                                         java.lang.Double duration,
                                         java.lang.String nextTime,
                                         java.lang.Double latency)
                                  throws JMSException

  Alters the propagation schedule between the topic and the destination database.
  Parameters:
    `session` - the jms session
    `destination` - the dblink of the destination database
    `duration` - the new duration
    `nextTime` - the new next-time for propagation
    `latency` - the new latency
  Throws:
    `JMSException` - if the schedule could not be altered.

### enablePropagationSchedule

    public void enablePropagationSchedule(Session session,
                                          java.lang.String destination)
                                   throws JMSException

  Enables the propagation schedule.
  Parameters:
    `session` - the JMS session
    `destination` - the dblink of the destination database
  Throws:
    `JMSException` - if the propagation could not be enabled.

### disablePropagationSchedule

    public void disablePropagationSchedule(Session session,
                                           java.lang.String destination)
                                    throws JMSException

  Disables the propagation schedule.
  Parameters:
    `session` - the jms session
    `destination` - the dblink to the destination database
  Throws:
    `JMSException` - if the propagation schedule could not be disabled.

### grantQueuePrivilege

    public void grantQueuePrivilege(Session session,
                                    java.lang.String privilege,
                                    java.lang.String grantee,
                                    boolean grantOption)
                             throws JMSException

  Grants enqueue or dequeue privilege on the queue to a database user.
  Parameters:
    `session` - the jms session
    `privilege` - the privilege (`"ENQUEUE"` or `"DEQUEUE"</code">)`
    ``grantee` - the user being granted the privilege`
    `grantOption` - whether the grantee can grant the privilege to others
  Throws:
    `JMSException` - if the privilege could not be granted.

### grantTopicPrivilege

    public void grantTopicPrivilege(Session session,
                                    java.lang.String privilege,
                                    java.lang.String grantee,
                                    boolean grantOption)
                             throws JMSException

  Grants a topic privilege.
  Parameters:
    `session` - the jms session
    `privilege` - the privilege (`"ENQUEUE"` or `"DEQUEUE"</code">) being granted`
    ``grantee` - the database user being granted the privilege`
    `grantOption` - whether the grantee can grant the privilege to other users
  Throws:
    `JMSException` - if the privilege could not be granted.

### revokeQueuePrivilege

    public void revokeQueuePrivilege(Session session,
                                     java.lang.String privilege,
                                     java.lang.String grantee)
                              throws JMSException

  Revokes a queue privilege.
  Parameters:
    `session` - the jms session
    `privilege` - the privilege (`"ENQUEUE"` or `"DEQUEUE"</code">) being revoked`
    ``grantee` - the database user from whom the privilege is being revoked`
  Throws:
    `JMSException` - if the privilege could not be revoked.

### revokeTopicPrivilege

    public void revokeTopicPrivilege(Session session,
                                     java.lang.String privilege,
                                     java.lang.String grantee)
                              throws JMSException

  Revokes a topic privilege.
  Parameters:
    `session` - the jms session
    `privilege` - the privilege (`"ENQUEUE"` or `"DEQUEUE"</code">) being revoked`
    ``grantee` - the database user from whom the privilege is being revoked`
  Throws:
    `JMSException` - if the privilege could not be revoked.

### delete

    public void delete()
                throws JMSException

  Delete this temporary destination and make it unusable for further operations.
  Specified by:
    `delete` in interface `TemporaryQueue`
  Throws:
    `JMSException` - if the JMS provider fails to delete the temporary queue due to some internal error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Streams Advanced Queuing Java API Reference 10g Release 2 (10.2) B14291-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005, Oracle. All rights reserved.